Pierre Pierre - 3 months ago 67
PHP Question

Error install pecl/raphf and propro

I have updated php5.5 to php7.0.

I try to run this commande :

pecl install pecl/raphf


But I obtain this error :


Parse error: syntax error, unexpected 'new' (T_NEW) in /usr/share/php/PEAR/Frontend.php on line 91


How I can install :

pecl install pecl/raphf
pecl install pecl/propro

Answer

I solving my problem :

I have unistalled php 7.0.5, and installed php 5 for get old pear version.

apt-get install php-pear

pear clear-cache

pear upgrade pear-1.10.0

Then, I am re-installed php7.0.5

It work !